import {
  _LoggerFromConfig
} from "./chunk-64BIIYYU.js";
import {
  isBrowser
} from "./chunk-EMZ2JTH2.js";
import {
  getGlobalLogger
} from "./chunk-QLW2QJ6C.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-SU6YVBAL.js";
import {
  LoggerBrowserHandler
} from "./chunk-NKN5X4ZJ.js";
import {
  isEmpty
} from "./chunk-MSASB4XB.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && (typeof localStorage !== "undefined" ? !isEmpty(localStorage?.getItem("zeed")) : false)) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-CWVLSVDO.js.map