"use strict";Object.defineProperty(exports, "__esModule", {value: true});











var _chunkC3GKUYHBcjs = require('./chunk-C3GKUYHB.cjs');














var _chunkKQ7HVMAAcjs = require('./chunk-KQ7HVMAA.cjs');


var _chunkLMPRNVYBcjs = require('./chunk-LMPRNVYB.cjs');


var _chunkSK66U3XOcjs = require('./chunk-SK66U3XO.cjs');

// src/common/bin/index.ts
var BinaryEncoder = class {
  async encode(data) {
    const dataEncoder = _chunkKQ7HVMAAcjs.createBinEncoder.call(void 0, );
    _chunkKQ7HVMAAcjs.writeAny.call(void 0, dataEncoder, data);
    return _chunkKQ7HVMAAcjs.encodeToUint8Array.call(void 0, dataEncoder);
  }
  async decode(data) {
    return _chunkC3GKUYHBcjs.readAny.call(void 0, _chunkC3GKUYHBcjs.createDecoder.call(void 0, _chunkSK66U3XOcjs.toUint8Array.call(void 0, data)));
  }
};
function encodeJson(data) {
  const dataEncoder = _chunkKQ7HVMAAcjs.createBinEncoder.call(void 0, );
  _chunkKQ7HVMAAcjs.writeAny.call(void 0, dataEncoder, data);
  return _chunkKQ7HVMAAcjs.encodeToUint8Array.call(void 0, dataEncoder);
}
function decodeJson(data) {
  return _chunkC3GKUYHBcjs.readAny.call(void 0, _chunkC3GKUYHBcjs.createDecoder.call(void 0, _chunkSK66U3XOcjs.toUint8Array.call(void 0, data)));
}
function createBinaryStreamEncoder(initialData) {
  const dataEncoder = _chunkKQ7HVMAAcjs.createBinEncoder.call(void 0, );
  if (initialData != null)
    _chunkKQ7HVMAAcjs.writeUint8Array.call(void 0, dataEncoder, _chunkSK66U3XOcjs.toUint8Array.call(void 0, initialData));
  return {
    /** Just writes the bytes. Length is not stored! */
    writeBytes: (data, expectedLength) => {
      const bin = _chunkSK66U3XOcjs.toUint8Array.call(void 0, data);
      _chunkLMPRNVYBcjs.assertCondition.call(void 0, !(expectedLength != null && bin.length !== expectedLength), `Expected ${expectedLength} bytes, got ${bin.length}`);
      _chunkKQ7HVMAAcjs.writeUint8Array.call(void 0, dataEncoder, bin);
    },
    writeBytesVar: (data) => _chunkKQ7HVMAAcjs.writeVarUint8Array.call(void 0, dataEncoder, _chunkSK66U3XOcjs.toUint8Array.call(void 0, data)),
    writeUintVar: (data) => _chunkKQ7HVMAAcjs.writeVarUint.call(void 0, dataEncoder, data),
    writeUint8: (data) => _chunkKQ7HVMAAcjs.writeUint8.call(void 0, dataEncoder, data),
    writeUint16: (data) => _chunkKQ7HVMAAcjs.writeUint16.call(void 0, dataEncoder, data),
    writeUint32: (data) => _chunkKQ7HVMAAcjs.writeUint32.call(void 0, dataEncoder, data),
    writeIntVar: (data) => _chunkKQ7HVMAAcjs.writeVarInt.call(void 0, dataEncoder, data),
    writeFloat: (data) => _chunkKQ7HVMAAcjs.writeFloat32.call(void 0, dataEncoder, data),
    writeStringVar: (data) => _chunkKQ7HVMAAcjs.writeVarString.call(void 0, dataEncoder, data),
    write: (data) => _chunkKQ7HVMAAcjs.writeAny.call(void 0, dataEncoder, data),
    getUint8Array: () => _chunkKQ7HVMAAcjs.encodeToUint8Array.call(void 0, dataEncoder),
    getLength: () => _chunkKQ7HVMAAcjs.length.call(void 0, dataEncoder)
  };
}
function createBinaryStreamDecoder(data) {
  const dataDecoder = _chunkC3GKUYHBcjs.createDecoder.call(void 0, _chunkSK66U3XOcjs.toUint8Array.call(void 0, data));
  return {
    readBytes: (len) => _chunkC3GKUYHBcjs.readUint8Array.call(void 0, dataDecoder, len),
    readBytesVar: () => _chunkC3GKUYHBcjs.readVarUint8Array.call(void 0, dataDecoder),
    readUintVar: () => _chunkC3GKUYHBcjs.readVarUint.call(void 0, dataDecoder),
    readUint8: () => _chunkC3GKUYHBcjs.readUint8.call(void 0, dataDecoder),
    readUint16: () => _chunkC3GKUYHBcjs.readUint16.call(void 0, dataDecoder),
    readUint32: () => _chunkC3GKUYHBcjs.readUint32.call(void 0, dataDecoder),
    readIntVar: () => _chunkC3GKUYHBcjs.readVarInt.call(void 0, dataDecoder),
    readFloat: () => _chunkC3GKUYHBcjs.readFloat32.call(void 0, dataDecoder),
    readStringVar: () => _chunkC3GKUYHBcjs.readVarString.call(void 0, dataDecoder),
    read: () => _chunkC3GKUYHBcjs.readAny.call(void 0, dataDecoder),
    getOffset: () => dataDecoder.pos || 0
  };
}
function bitfield(bitfield2 = 0) {
  return {
    setBit: (bit, value = true) => value ? bitfield2 |= 1 << bit : bitfield2 &= ~(1 << bit),
    unsetBit: (bit) => bitfield2 &= 1 << bit,
    toggleBit: (bit) => bitfield2 ^= 1 << bit,
    getBit: (bit) => (bitfield2 & 1 << bit) !== 0,
    getValue: () => bitfield2
  };
}
async function blobToArrayBuffer(blob) {
  if (blob.arrayBuffer)
    return await blob.arrayBuffer();
  try {
    return new Promise((resolve, reject) => {
      try {
        const reader = new FileReader();
        reader.onloadend = () => resolve(reader.result);
        reader.onerror = (err) => reject(err);
        reader.onabort = (err) => reject(err);
        reader.readAsArrayBuffer(blob);
      } catch (err) {
        reject(err);
      }
    });
  } catch (err) {
  }
}
async function blobToUint8Array(blob) {
  const buffer = await blobToArrayBuffer(blob);
  if (buffer != null)
    return _chunkSK66U3XOcjs.toUint8Array.call(void 0, buffer);
}










exports.BinaryEncoder = BinaryEncoder; exports.encodeJson = encodeJson; exports.decodeJson = decodeJson; exports.createBinaryStreamEncoder = createBinaryStreamEncoder; exports.createBinaryStreamDecoder = createBinaryStreamDecoder; exports.bitfield = bitfield; exports.blobToArrayBuffer = blobToArrayBuffer; exports.blobToUint8Array = blobToUint8Array;
//# sourceMappingURL=chunk-QHTUW5YZ.cjs.map