"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/node/open-browser.ts
var _child_process = require('child_process');
var _os = require('os');
function openBrowser(url) {
  switch (_os.platform.call(void 0, )) {
    case "darwin":
      _child_process.exec.call(void 0, `open -u ${url}`);
      break;
    case "win32":
      _child_process.exec.call(void 0, `start ${url}`);
      break;
    default:
      _child_process.exec.call(void 0, `xdg-open ${url}`);
  }
}



exports.openBrowser = openBrowser;
//# sourceMappingURL=chunk-YRMT2H3N.cjs.map