"use strict";

var _chunkT5NX3H2Ccjs = require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/basex-secure.spec.ts
describe("baseX-secure", () => {
  it("should do the same as atob and btoa", () => {
    const str = "Hello, World!";
    const bin = new TextEncoder().encode(str);
    expect(_chunkT5NX3H2Ccjs.base64.encode(bin)).toBe("SGVsbG8sIFdvcmxkIQ==");
    expect(btoa(str)).toBe("SGVsbG8sIFdvcmxkIQ==");
    expect(_chunkT5NX3H2Ccjs.base64.encode(bin)).toBe(btoa(str));
    expect(_chunkT5NX3H2Ccjs.base64.decode(btoa(str))).toEqual(bin);
  });
});
//# sourceMappingURL=basex-secure.spec.cjs.map