"use strict";




var _chunkDDS4MYUBcjs = require('../../chunk-DDS4MYUB.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/convert.spec.ts
describe("convert", () => {
  it("should convert", () => {
    expect(_chunkDDS4MYUBcjs.valueToString.call(void 0, 123)).toBe("123");
    expect(_chunkDDS4MYUBcjs.valueToInteger.call(void 0, "123")).toBe(123);
    expect(_chunkDDS4MYUBcjs.valueToInteger.call(void 0, true)).toBe(1);
  });
  it("should have some bias", async () => {
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, "123")).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, "1")).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, "on")).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, 1)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, 123)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, void 0)).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, null)).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBoolean.call(void 0, "")).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, "123")).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, "1")).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, "0")).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, "off")).toBe(false);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, 1)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, 123)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, void 0)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, null)).toBe(true);
    expect(_chunkDDS4MYUBcjs.valueToBooleanNotFalse.call(void 0, "")).toBe(true);
  });
});
//# sourceMappingURL=convert.spec.cjs.map