"use strict";require('../../chunk-NU2LARFE.cjs');
require('../../chunk-QZHA2OAU.cjs');
require('../../chunk-5G52PYZN.cjs');
require('../../chunk-F2L2RVEN.cjs');
require('../../chunk-OJKBG3DM.cjs');
require('../../chunk-334CCXIK.cjs');
require('../../chunk-MTWPH7QT.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-TF6RVG6C.cjs');
require('../../chunk-LP4MNA2T.cjs');
require('../../chunk-5TCFLJWD.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-XXTFH65W.cjs');
require('../../chunk-SK66U3XO.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');








var _chunkW3WUDQICcjs = require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/utils.spec.ts
describe("cloneObject", () => {
  it("should clone only non primitives", () => {
    {
      const sample = "Test";
      expect(_chunkW3WUDQICcjs.cloneObject.call(void 0, sample) === sample).toBe(true);
      expect(_chunkW3WUDQICcjs.cloneObject.call(void 0, sample) === "Test").toBe(true);
    }
    {
      const sample = { hello: "world" };
      expect(_chunkW3WUDQICcjs.cloneObject.call(void 0, sample) === sample).toBe(false);
      expect(_chunkW3WUDQICcjs.cloneObject.call(void 0, sample)).toEqual(sample);
      expect(_chunkW3WUDQICcjs.cloneObject.call(void 0, sample)).toEqual({ hello: "world" });
    }
  });
});
describe("size", () => {
  it("should calc size of map", () => {
    const map = /* @__PURE__ */ new Map();
    map.set("a", 1);
    map.set("b", 2);
    expect(_chunkW3WUDQICcjs.size.call(void 0, map)).toBe(2);
  });
  it("should calc size of set", () => {
    const set = /* @__PURE__ */ new Set();
    set.add(1);
    set.add(2);
    set.add(3);
    expect(_chunkW3WUDQICcjs.size.call(void 0, set)).toBe(3);
  });
  it("should calc size of object", () => {
    expect(_chunkW3WUDQICcjs.size.call(void 0, { a: 1, b: 2 })).toBe(2);
  });
  it("should calc size of array", () => {
    expect(_chunkW3WUDQICcjs.size.call(void 0, [1, 2, void 0])).toBe(3);
  });
  it("should calc size of primitives", () => {
    expect(_chunkW3WUDQICcjs.size.call(void 0, "hello")).toBe(5);
    expect(_chunkW3WUDQICcjs.size.call(void 0, 3)).toBe(0);
    expect(_chunkW3WUDQICcjs.size.call(void 0, true)).toBe(0);
    expect(_chunkW3WUDQICcjs.size.call(void 0, null)).toBe(0);
    expect(_chunkW3WUDQICcjs.size.call(void 0, void 0)).toBe(0);
    expect(_chunkW3WUDQICcjs.size.call(void 0, Number.NaN)).toBe(0);
  });
});
describe("empty", () => {
  it("should calc empty of map", () => {
    const map = /* @__PURE__ */ new Map();
    expect(_chunkW3WUDQICcjs.empty.call(void 0, map)).toBe(true);
    map.set("a", 1);
    map.set("b", 2);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, map)).toBe(false);
  });
  it("should calc empty of set", () => {
    const set = /* @__PURE__ */ new Set();
    expect(_chunkW3WUDQICcjs.empty.call(void 0, set)).toBe(true);
    set.add(1);
    set.add(2);
    set.add(3);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, set)).toBe(false);
  });
  it("should calc empty of object", () => {
    expect(_chunkW3WUDQICcjs.empty.call(void 0, {})).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, { a: 1, b: 2 })).toBe(false);
  });
  it("should calc empty of array", () => {
    expect(_chunkW3WUDQICcjs.empty.call(void 0, [])).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, [void 0])).toBe(false);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, [1, 2, void 0])).toBe(false);
  });
  it("should calc empty of primitives", () => {
    expect(_chunkW3WUDQICcjs.empty.call(void 0, "")).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, "hello")).toBe(false);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, 3)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, 0)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, false)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, true)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, null)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, void 0)).toBe(true);
    expect(_chunkW3WUDQICcjs.empty.call(void 0, Number.NaN)).toBe(true);
  });
  it("should ensure key", () => {
    const rooms = {};
    _chunkW3WUDQICcjs.ensureKey.call(void 0, rooms, "a", (r) => ({ r })).x = 1;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 1,
        },
      }
    `);
    _chunkW3WUDQICcjs.ensureKey.call(void 0, rooms, "a", (r) => ({ r })).x += 10;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 11,
        },
      }
    `);
  });
  it("should repeat forTimes", () => {
    const l = [];
    _chunkW3WUDQICcjs.forTimes.call(void 0, 10, (...args) => l.push(args));
    expect(l).toMatchInlineSnapshot(`
      Array [
        Array [
          0,
          10,
        ],
        Array [
          1,
          10,
        ],
        Array [
          2,
          10,
        ],
        Array [
          3,
          10,
        ],
        Array [
          4,
          10,
        ],
        Array [
          5,
          10,
        ],
        Array [
          6,
          10,
        ],
        Array [
          7,
          10,
        ],
        Array [
          8,
          10,
        ],
        Array [
          9,
          10,
        ],
      ]
    `);
  });
  it("should memoize", () => {
    let ctr = 1;
    const fn = _chunkW3WUDQICcjs.memoize.call(void 0, (inc) => {
      ctr += inc;
      return ctr;
    });
    expect(fn(10)).toBe(11);
    expect(fn(10)).toBe(11);
    expect(fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
  it("should memoize async", async () => {
    let ctr = 1;
    const fn = _chunkW3WUDQICcjs.memoizeAsync.call(void 0, async (inc) => {
      await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      ctr += inc;
      return ctr;
    });
    expect(await fn(10)).toBe(11);
    expect(await fn(10)).toBe(11);
    expect(await fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
});
//# sourceMappingURL=utils.spec.cjs.map