import { Channel } from './channel.cjs';
import '../dispose-types.cjs';
import './emitter.cjs';
import '../log/log-base.cjs';
import '../global.cjs';
import '../log/log.cjs';
import '../log/log-console-original.cjs';
import '../schema/args.cjs';
import '../schema/schema.cjs';

/** Just track messages posted for debug purposes */
declare class DebugChannel extends Channel {
    messages: (Uint8Array | string)[];
    postMessage(data: Uint8Array | string): void;
    get isConnected(): boolean;
}

export { DebugChannel };
