import { Channel } from './channel.js';
import '../dispose-types.js';
import './emitter.js';
import '../log/log-base.js';
import '../global.js';
import '../log/log.js';
import '../log/log-console-original.js';
import '../schema/args.js';
import '../schema/schema.js';

/** Just track messages posted for debug purposes */
declare class DebugChannel extends Channel {
    messages: (Uint8Array | string)[];
    postMessage(data: Uint8Array | string): void;
    get isConnected(): boolean;
}

export { DebugChannel };
