import { Type } from './schema.js';

declare module './schema' {
    interface TypeProps {
        argShort?: string;
        argDesc?: string;
    }
}
declare function parseSchemaArgs<T>(schema: Type<T>, args?: any): [T, string[]];
declare function helpSchemaArgs<T>(schema: Type<T>): string;

export { helpSchemaArgs, parseSchemaArgs };
