"use strict";










var _chunkU5N3BUNHcjs = require('../../chunk-U5N3BUNH.cjs');
require('../../chunk-RZR7V644.cjs');
require('../../chunk-NCDI2ZTI.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-PLHSJ7Z4.cjs');
require('../../chunk-KXWDOTVK.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-GGAJMSNX.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-WHYGPWH2.cjs');
require('../../chunk-I44ZAZ4K.cjs');
require('../../chunk-XW3B3FUP.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-Y72FPF2M.cjs');
require('../../chunk-QHTUW5YZ.cjs');
require('../../chunk-C3GKUYHB.cjs');
require('../../chunk-KQ7HVMAA.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-K4SUOAKA.cjs');
require('../../chunk-DDS4MYUB.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-7A2HVTS7.cjs');
require('../../chunk-BVNSW3CF.cjs');
require('../../chunk-LP4MNA2T.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-LMPRNVYB.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-SK66U3XO.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');


var _chunkW3WUDQICcjs = require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/schema.spec.ts
describe("schema", () => {
  it("create schema", async () => {
    const lit = _chunkU5N3BUNHcjs.stringLiterals.call(void 0, ["active", "trialing", "past_due", "paused", "deleted"]);
    expectTypeOf().toMatchTypeOf();
    const tup = _chunkU5N3BUNHcjs.tuple.call(void 0, [_chunkU5N3BUNHcjs.number.call(void 0, ), _chunkU5N3BUNHcjs.string.call(void 0, ), _chunkU5N3BUNHcjs.boolean.call(void 0, )]);
    expectTypeOf().toMatchTypeOf();
    const s1 = _chunkU5N3BUNHcjs.string.call(void 0, ).optional();
    expectTypeOf().toMatchTypeOf();
    const schema = _chunkU5N3BUNHcjs.object.call(void 0, {
      id: _chunkU5N3BUNHcjs.string.call(void 0, ).default("123"),
      // default(() => '123'),
      name: _chunkU5N3BUNHcjs.string.call(void 0, ),
      age: _chunkU5N3BUNHcjs.int.call(void 0, ).optional(),
      active: _chunkU5N3BUNHcjs.boolean.call(void 0, ),
      // status: stringLiterals(['active', 'trialing', 'past_due', 'paused', 'deleted']),
      // status: string<Status>(),
      obj: _chunkU5N3BUNHcjs.object.call(void 0, {
        test: _chunkU5N3BUNHcjs.float.call(void 0, )
      }).optional(),
      lit
    });
    const sample = {
      name: "Hello",
      age: 42,
      active: true,
      lit: "past_due"
    };
    expect(_chunkW3WUDQICcjs.cloneJsonObject.call(void 0, schema)).toMatchInlineSnapshot(`
      Object {
        "_object": Object {
          "active": Object {
            "type": "boolean",
          },
          "age": Object {
            "_optional": true,
            "type": "int",
          },
          "id": Object {
            "_default": "123",
            "type": "string",
          },
          "lit": Object {
            "type": "string",
          },
          "name": Object {
            "type": "string",
          },
          "obj": Object {
            "_object": Object {
              "test": Object {
                "type": "number",
              },
            },
            "_optional": true,
            "type": "object",
          },
        },
        "type": "object",
      }
    `);
    expect(schema.parse(sample)).toMatchInlineSnapshot(`
      Object {
        "active": true,
        "age": 42,
        "id": "123",
        "lit": "past_due",
        "name": "Hello",
      }
    `);
    expect(schema.map(sample, (v, s) => {
      if (s.type === "boolean") {
        return v ? "on" : "off";
      }
    })).toMatchInlineSnapshot(`
      Object {
        "active": "on",
        "age": 42,
        "lit": "past_due",
        "name": "Hello",
        "obj": Object {},
      }
    `);
    expect(schema.map(sample, function(v) {
      if (this.type === "boolean") {
        return v ? "yes" : "no";
      }
    })).toMatchInlineSnapshot(`
      Object {
        "active": "yes",
        "age": 42,
        "lit": "past_due",
        "name": "Hello",
        "obj": Object {},
      }
    `);
  });
  it("union", async () => {
    const literals = [
      _chunkU5N3BUNHcjs.literal.call(void 0, "one"),
      _chunkU5N3BUNHcjs.literal.call(void 0, "two"),
      _chunkU5N3BUNHcjs.literal.call(void 0, "three")
    ];
    const schema = _chunkU5N3BUNHcjs.object.call(void 0, {
      id: _chunkU5N3BUNHcjs.string.call(void 0, ).default(() => "123").props({
        // someProp: 'someValue',
      }),
      literal: _chunkU5N3BUNHcjs.literal.call(void 0, "demo"),
      name: _chunkU5N3BUNHcjs.union.call(void 0, literals)
    });
    const sample = {
      literal: "demo",
      name: "two"
    };
    expect(_chunkW3WUDQICcjs.cloneJsonObject.call(void 0, schema)).toMatchInlineSnapshot(`
      Object {
        "_object": Object {
          "id": Object {
            "_props": Object {},
            "type": "string",
          },
          "literal": Object {
            "type": "string",
          },
          "name": Object {
            "type": "string",
          },
        },
        "type": "object",
      }
    `);
    expect(schema.parse(sample)).toMatchInlineSnapshot(`
      Object {
        "id": "123",
        "literal": "demo",
        "name": "two",
      }
    `);
  });
  it("union with object", async () => {
    const obj = _chunkU5N3BUNHcjs.union.call(void 0, [
      _chunkU5N3BUNHcjs.object.call(void 0, { subscription: _chunkU5N3BUNHcjs.literal.call(void 0, true), subscriptionId: _chunkU5N3BUNHcjs.string.call(void 0, ) }),
      _chunkU5N3BUNHcjs.object.call(void 0, { subscription: _chunkU5N3BUNHcjs.literal.call(void 0, false), licenseId: _chunkU5N3BUNHcjs.string.call(void 0, ) })
    ]);
    expectTypeOf().toMatchTypeOf();
  });
});
//# sourceMappingURL=schema.spec.cjs.map