import {
  LoggerNodeHandler,
  loggerStackTraceDebug
} from "../../chunk-MCOJ2UGJ.js";
import "../../chunk-EMGV4LPL.js";
import "../../chunk-CXMKDBGU.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-E7C3EUTB.js";
import "../../chunk-QFRDJM3G.js";
import "../../chunk-PIP5E7GF.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-4LNR3HBM.js";
import "../../chunk-NDJRHQ42.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/node/log/log-node.spec.ts
describe("log-node", () => {
  it("should color log", async () => {
    getGlobalLogger().setHandlers([LoggerNodeHandler()]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
  it("should find pattern", () => {
    getGlobalLogger().setHandlers([
      LoggerNodeHandler({
        level: LogLevelAll,
        filter: "*",
        stack: true
      })
    ]);
    const log = DefaultLogger("stack");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
});
//# sourceMappingURL=log-node.spec.js.map