import "../chunk-ZBZ2DYCH.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-WQPRL26Y.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-EVV5XSMX.js";
import "../chunk-I2VL3EYP.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-QY5DHPIN.js";
import "../chunk-HOPWS6D4.js";
import "../chunk-V5A7GBYS.js";
import "../chunk-3SGWYDFH.js";
import "../chunk-44XNTK3T.js";
import "../chunk-2Q2D6IYD.js";
import "../chunk-LOKSBIQW.js";
import "../chunk-ORVQHQ6Y.js";
import "../chunk-KWO2F7PO.js";
import "../chunk-TOCTDWQI.js";
import "../chunk-BVYJH5I3.js";
import "../chunk-OLLVOQ6W.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-PRHMI3L4.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-IJSLJFYU.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-73CVRDI7.js";
import "../chunk-GBF7F7TQ.js";
import "../chunk-D3JF6HTL.js";
import "../chunk-OP4KFE7G.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-6QW2WRYO.js";
import "../chunk-WTRJ3FHO.js";
import "../chunk-CEWTZYJD.js";
import "../chunk-F64SQULL.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-CXMKDBGU.js";
import "../chunk-KKN5DQUJ.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-BLSLMCOC.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-F7LYIQZT.js";
import "../chunk-EMZ2JTH2.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-E7C3EUTB.js";
import "../chunk-QFRDJM3G.js";
import "../chunk-PIP5E7GF.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-UC4IXJII.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-X7FSUPTB.js";
import "../chunk-TOSLGV7Y.js";
import "../chunk-OPA3P4S3.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-OKXFHCRW.js";
import "../chunk-LRNHXH3A.js";
import "../chunk-HST4VI64.js";
import "../chunk-734RUVRO.js";
import "../chunk-3K65A2PU.js";
import "../chunk-L324TYGN.js";
import {
  arraySorted
} from "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-GAB5OQ4U.js";
import "../chunk-QLW2QJ6C.js";
import "../chunk-LUGJYROQ.js";
import "../chunk-4P5GCQLI.js";
import "../chunk-N33MGVUS.js";
import "../chunk-4LNR3HBM.js";
import "../chunk-NDJRHQ42.js";
import "../chunk-KOCQIU7R.js";
import "../chunk-PN34O4SN.js";
import {
  LocalStorage
} from "../chunk-5YZ4MAM4.js";
import "../chunk-I45WP5PM.js";
import "../chunk-NNCJ3QL5.js";
import "../chunk-CV2N52ZM.js";
import "../chunk-JAGWOLOG.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-MSASB4XB.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/browser/localstorage.spec.ts
describe("localStorage", () => {
  it("should store data and read it again", () => {
    {
      const db = new LocalStorage({ name: "test" });
      db.clear();
      expect(db.allKeys()).toEqual([]);
      db.setItem("a", 1);
      db.setItem("b", { complex: [1, 2, "3"] });
      db.setItem("c", [0, 9, 8]);
      db.setItem("c", "Again!");
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
    }
    {
      const db = new LocalStorage({ name: "test" });
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      db.removeItem("b");
      expect(arraySorted(db.allKeys())).toEqual(["a", "c"]);
      db.clear();
      expect(db.allKeys()).toEqual([]);
    }
  });
});
//# sourceMappingURL=localstorage.spec.js.map