import {
  getGlobalContext
} from "./chunk-CFICINSP.js";

// src/common/log/log-console-original.ts
function getGlobalConsole() {
  const gcontext = getGlobalContext();
  if (gcontext.originalConsole == null) {
    const originalConsole = typeof console !== "undefined" ? console : void 0;
    gcontext.originalConsole = originalConsole ? {
      console: originalConsole,
      log: originalConsole.log.bind(originalConsole),
      info: originalConsole.info.bind(originalConsole),
      warn: originalConsole.warn.bind(originalConsole),
      error: originalConsole.error.bind(originalConsole),
      debug: originalConsole.debug.bind(originalConsole)
    } : void 0;
  }
  return gcontext.originalConsole;
}

export {
  getGlobalConsole
};
//# sourceMappingURL=chunk-CV2N52ZM.js.map