// src/node/open-browser.ts
import { exec } from "node:child_process";
import { platform } from "node:os";
function openBrowser(url) {
  switch (platform()) {
    case "darwin":
      exec(`open -u ${url}`);
      break;
    case "win32":
      exec(`start ${url}`);
      break;
    default:
      exec(`xdg-open ${url}`);
  }
}

export {
  openBrowser
};
//# sourceMappingURL=chunk-IBEMNMD6.js.map