"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkUXNOJAXOcjs = require('./chunk-UXNOJAXO.cjs');




var _chunkPEU5ZQVBcjs = require('./chunk-PEU5ZQVB.cjs');




var _chunkJ42M6DF3cjs = require('./chunk-J42M6DF3.cjs');

// src/common/log/log-console.ts
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkPEU5ZQVBcjs.useLevelFilter.call(void 0, level);
  const originalConsole = _chunkUXNOJAXOcjs.getGlobalConsole.call(void 0, );
  if (!originalConsole)
    return () => {
    };
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _chunkJ42M6DF3cjs.LogLevelInfo:
        originalConsole.info(..._chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _chunkJ42M6DF3cjs.LogLevelWarn:
        originalConsole.warn(..._chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _chunkJ42M6DF3cjs.LogLevelError:
        originalConsole.error(..._chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        originalConsole.debug(..._chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}



exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=chunk-LRK332ID.cjs.map