import { Channel } from './channel.cjs';
import '../dispose-types.cjs';
import './emitter.cjs';
import '../log/log-base.cjs';
import '../global.cjs';
import '../log/log.cjs';
import '../log/log-console-original.cjs';
import '../schema/args.cjs';
import '../schema/schema.cjs';

/** Very basic channel demonstrating local communication */
declare class LocalChannel extends Channel {
    isConnected: boolean;
    other?: LocalChannel;
    postMessage(data: any): void;
}
declare function createLocalChannelPair(): [LocalChannel, LocalChannel];

export { LocalChannel, createLocalChannelPair };
