// src/common/schema/sandbox.spec.ts
var MyType = class {
  constructor(value) {
    this.value = value;
  }
};
describe("sandbox.spec", () => {
  it("should do something", async () => {
    const my = new MyType(123);
    MyType.prototype.test = function() {
      return this.value + 1;
    };
    expect(my.test()).toMatchInlineSnapshot(`124`);
    expect(my).toMatchInlineSnapshot(`
      MyType {
        "value": 123,
      }
    `);
  });
});
//# sourceMappingURL=sandbox.spec.js.map