"use strict";require('../chunk-NU2LARFE.cjs');
require('../chunk-QZHA2OAU.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-OJKBG3DM.cjs');
require('../chunk-334CCXIK.cjs');
require('../chunk-MTWPH7QT.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-TF6RVG6C.cjs');
require('../chunk-LP4MNA2T.cjs');
require('../chunk-5TCFLJWD.cjs');


var _chunkN5KTMDVOcjs = require('../chunk-N5KTMDVO.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-2BOMVGUQ.cjs');
require('../chunk-WZOVL24X.cjs');
require('../chunk-LRK332ID.cjs');
require('../chunk-XXTFH65W.cjs');
require('../chunk-SK66U3XO.cjs');
require('../chunk-T5NX3H2C.cjs');












var _chunk33B2TEAZcjs = require('../chunk-33B2TEAZ.cjs');
require('../chunk-UXNOJAXO.cjs');
require('../chunk-PEU5ZQVB.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N43PGEL6.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/time.spec.ts
describe("time.spec", () => {
  it("should measure", async () => {
    const getDuration = _chunk33B2TEAZcjs.duration.call(void 0, );
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should parse valid date strings", () => {
    const date1 = _chunk33B2TEAZcjs.parseDate.call(void 0, "2022-01-01");
    const date2 = _chunk33B2TEAZcjs.parseDate.call(void 0, "2022-01-01T12:00:00");
    expect(date1).toEqual(new Date(2022, 0, 1, 12, 0));
    expect(date2).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00"));
  });
  it("should return undefined for invalid date strings", () => {
    const date = _chunk33B2TEAZcjs.parseDate.call(void 0, "invalid-date");
    expect(date).toBeUndefined();
  });
  it("should return the input date if it is already a Date object", () => {
    const inputDate = /* @__PURE__ */ new Date();
    const date = _chunk33B2TEAZcjs.parseDate.call(void 0, inputDate);
    expect(date).toBe(inputDate);
  });
  it("should convert dates", () => {
    const dateLocal = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    expect(_chunk33B2TEAZcjs.datetimeToLocal.call(void 0, _chunk33B2TEAZcjs.datetimeToUTC.call(void 0, dateLocal))).toEqual(dateLocal);
  });
  it("should return the current timestamp in milliseconds", () => {
    const timestamp = _chunk33B2TEAZcjs.getTimestamp.call(void 0, );
    expect(typeof timestamp).toBe("number");
    expect(timestamp).toBeCloseTo(Date.now(), -2);
  });
  it("should return the current timestamp in seconds", () => {
    const timestampInSeconds = _chunk33B2TEAZcjs.getTimestampInSeconds.call(void 0, );
    expect(typeof timestampInSeconds).toBe("number");
    expect(timestampInSeconds).toBeCloseTo(Math.floor(Date.now() / 1e3), -2);
  });
  it("should convert seconds to a Date object", () => {
    const seconds = 1640995200;
    const date = _chunk33B2TEAZcjs.dateFromSeconds.call(void 0, seconds);
    expect(date).toEqual(/* @__PURE__ */ new Date("2022-01-01T00:00:00.000Z"));
  });
  it("should format milliseconds", () => {
    const milliseconds = 1234;
    const formatted = _chunk33B2TEAZcjs.formatMilliseconds.call(void 0, milliseconds);
    expect(formatted).toBe("1.2 s");
  });
  it("should return the current timestamp using performance.now if available", () => {
    const timestamp = _chunk33B2TEAZcjs.getPerformanceTimestamp.call(void 0, );
    expect(typeof timestamp).toBe("number");
    expect(timestamp).toBeCloseTo(typeof performance !== "undefined" ? performance.now() : Date.now(), -2);
  });
  it("should measure the duration of a function", async () => {
    const getDuration = _chunk33B2TEAZcjs.duration.call(void 0, );
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should convert a date to UTC time", () => {
    const date = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    const utcDate = _chunk33B2TEAZcjs.datetimeToUTC.call(void 0, date);
    expect(utcDate).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00Z"));
  });
  it("should convert milliseconds to seconds", () => {
    const ts = 16094592e5;
    const result = _chunk33B2TEAZcjs.timestampMillisecondsToSeconds.call(void 0, ts);
    expect(result).toBe(1609459200);
  });
  it("should log a warning if the timestamp is already in seconds", () => {
    const ts = 1609459200;
    const result = _chunk33B2TEAZcjs.timestampMillisecondsToSeconds.call(void 0, ts);
    expect(result).toBe(1609459200);
  });
  it("should convert seconds to milliseconds", () => {
    const ts = 1609459200;
    const result = _chunk33B2TEAZcjs.timestampSecondsToMilliseconds.call(void 0, ts);
    expect(result).toBe(16094592e5);
  });
  it("should log a warning if the timestamp is already in milliseconds", () => {
    const ts = 16094592e5;
    const result = _chunk33B2TEAZcjs.timestampMillisecondsToSeconds.call(void 0, ts);
    expect(result).toBe(1609459200);
  });
});
//# sourceMappingURL=time.spec.cjs.map