"use strict";

var _chunkUNO2AE54cjs = require('../../chunk-UNO2AE54.cjs');
require('../../chunk-K4SUOAKA.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-RH2ZY552.cjs');
require('../../chunk-WKUMIBBA.cjs');
require('../../chunk-BVNSW3CF.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');



var _chunk2BOMVGUQcjs = require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-SK66U3XO.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunk2BOMVGUQcjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunkUNO2AE54cjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunk2BOMVGUQcjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map